function [y] = int2strL(x,L)

% INT2STRL
%   Takes input integer X and performs standard
%   int2str, but lengthens output by filling
%   the string with zeros. Helpful for nicer
%   file display (overcomes 10,1 problem).
% AUTHOR
%   (c) S.D.Angus, 30 November 2004 (unsw)
%       s.angus@student.unsw.edu.au
% INPUTS
%   (X,L) gives a number in string format of
%     length L with root number X.
% See also INT2STR

s = int2str(x);
s_l = length(s);

if  s_l < L
    s_a = [int2str(10^(L-s_l)) s];
    y = s_a(2:L+1);
else
    y = s;
end